SATA_SCR_WRITE_FLUSH(9)

NAME
sata_scr_write_flush - write SCR register of the specified port and flush

SYNOPSIS

int sata_scr_write_flush(struct ata_link * link, int reg, u32 val);

ARGUMENTS

link
    ATA link to write SCR for

reg
    SCR to write

val
    value to write

DESCRIPTION

This function is identical to sata_scr_write except that this function performs flush after writing to the register.

LOCKING

None if link is ap->link. Kernel thread context otherwise.

RETURNS

0 on success, negative errno on failure.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT